from setuptools import setup, find_packages

# WARNING: egg_info_patch is a temporary patch used to build sdist with 
# appropriate revision number. This feature is not supported by setuptools.
# Remove this patch as soon as svn structure changes to not use EXTERNALS 
# anymore.
import egg_info_patch

product_path = 'Products/ERP5SyncML'

version = open('%s/VERSION.txt' % product_path).read().split()[-1]

setup(name='Products.ERP5SyncML',
      version=version,
      description="ERP5SyncML Product implements the SyncML protocol for ERP5 and "
         "allows to synchronize with any device compatibile with it",
      long_description=open("README.txt").read() + "\n" + \
                       open("CHANGES.txt").read(),
      classifiers=[
        "Framework :: Zope2",
        "Operating System :: OS Independent",
        ],
      keywords='Zope ERP5SyncML',
      author='NEXEDI SA',
      author_email='info@nexedi.com',
      url='http://svn.erp5.org/erp5/trunk/products/ERP5SyncML',
      packages=find_packages(exclude=['ez_setup']),
      namespace_packages=['Products'],
      include_package_data=True,
      zip_safe=False,
      install_requires=[
          'setuptools',
      ],
      )
